%global libname Nagios-Plugin

Name:           perl-%{libname}
Version:        0.35
Release:        3%{?dist}
Summary:        Family of perl modules to streamline writing Nagios plugins
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{libname}/
Source0:        http://www.cpan.org/modules/by-module/Nagios/%{libname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Math::Calc::Units)
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(Test::More) >= 0.62
Requires:       perl(Class::Accessor)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Config::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Nagios::Plugin and its associated Nagios::Plugin::* modules are a family of
perl modules to streamline writing Nagios plugins. The main end user
modules are Nagios::Plugin, providing an object-oriented interface to the
entire Nagios::Plugin::* collection, and Nagios::Plugin::Functions,
providing a simpler functional interface to a useful subset of the
available functionality.

%prep
%setup -q -n %{libname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Nagios
%{_mandir}/man3/Nagios::Plugin*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.35-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.35-2
- 661697 rebuild for fixing problems with vendorach/lib

* Sun Dec 12 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.35-1
- Upstream released new version

* Thu Jun 24 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.34-1
- Upstream released new version

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.33-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.33-3
- rebuild against perl 5.10.1

* Thu Aug 27 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.33-2
- Review fixes (#517497)

* Thu Aug 13 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.33-1
- Initial import

